Bug 127101 - Bison 1.875c breaks rebuilding of gcc 3.2.3
Bison 1.875c breaks rebuilding of gcc 3.2.3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bison (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Roland McGrath
:
Depends On:
Blocks: 116823
  Show dependency treegraph
 
Reported: 2004-07-01 17:21 EDT by Robert Scheck
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: gcc-3.2.3-39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 17:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-07-01 17:21:21 EDT
Description of problem:
Please be very carefull with the update 1.875c (pre-announced in bug
#116823, because rebuilding of gcc-3.2.3-34 at IA32 using 1.875c-x
(rebuilded from Fedora Development) caused the following problem; so
the gcc rebuild died in this way:

--- snipp ---
gcc -DIN_GCC    -g  -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic 
-Wno-long-long -DHAVE_CONFIG_H    -I. -I. -I../../gcc -I../../gcc/. -I../../gcc/config 
-I../../gcc/../include \ -c ../../gcc/c-parse.c -o c-parse.o
c-p18625.c:349:20: attempt to use poisoned "malloc"
make[2]: *** [c-parse.o] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/gcc-3.2.3-20031114/obj-i386-redhat-linux/gcc'
--- snapp ---

Version-Release number of selected component (if applicable):
gcc-3.2.3-34
bison-1.875c-x

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. Get bison-1.875c-x from Fedora Development, rebuild and install it
2. Get gcc-3.2.3-34 from RHEL3 Updates, try to rebuild it
3. Die with the error written above
  
Actual results:
Rebuilding of gcc using bison-1.875c-x dies.

Expected results:
Working rebuild of gcc further on...

Additional info:
That problem is NOT reproducable for me using the original bison-
1.875-4.
Comment 1 Roland McGrath 2004-07-06 21:43:30 EDT
Thanks for noticing this.  The RHEL3 update of bison will be 1.875c
with the problematic change backed out so that the old gcc sources do
not elicit this problem.
Comment 2 Robert Scheck 2004-08-04 17:58:14 EDT
Thank you Roland and/or Jakub for working out a solution - gcc-3.2.3-39   
rebuilds against bison-1.875c-2, here...closing.
Comment 3 Jay Turner 2004-09-01 22:33:20 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-267.html

Note You need to log in before you can comment on or make changes to this bug.